package com.javaxing.mallstockbiz.controller;

import com.javaxing.mallstockbiz.service.SysShopStockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/stock")
public class StockController {

    @Autowired
    private SysShopStockService sysShopStockService;

    @GetMapping("/reduce")
    public void reduceStock(@RequestParam("shopId") Integer shopId,@RequestParam("count") Integer count){
        // 根据订单号减少库存
         sysShopStockService.reduceStock(shopId,count);
    }
}
