package com.javaxing.malluserbiz.controller;

import com.javaxing.malluserbiz.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;

@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    private SysUserService sysUserService;

    @GetMapping("/reduceBalance")
    public void reduceBalance (@RequestParam("userId") Integer userId,@RequestParam("balance") BigDecimal balance){
        sysUserService.reduceBalance(userId,balance);
    }


}
