package com.javaxing.mallorder.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

@FeignClient(value = "mall-user",path = "/user")
public interface UserFeignService {
    @GetMapping("/reduceBalance")
    public void reduceBalance (@RequestParam("userId") Integer userId,@RequestParam("balance") BigDecimal balance);
}
